## GnomeDbSqlConsole

GnomeDbSqlConsole —

##

# Synopsis

    struct      GnomeDbSqlConsole;
    struct      GnomeDbSqlConsoleClass;
    struct      GnomeDbSqlConsolePriv;
    GtkWidget*  gnome_db_sql_console_new        (GdaConnection *cnc,
                                                 const gchar *message);
    void        gnome_db_sql_console_clear      (GnomeDbSqlConsole *console);
    void        gnome_db_sql_console_clear_history
                                                (GnomeDbSqlConsole *console);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkTextView
                                     +----GnomeDbSqlConsole

## Implemented Interfaces

GnomeDbSqlConsole implements AtkImplementorIface and GtkBuildable.

## Properties

      "cnc"                  GdaConnection        : Read / Write
      "message"              gchararray           : Write / Construct Only

## Signal Prototypes

    "sql-entered"
                gchar*      user_function      (GnomeDbSqlConsole *dbsqlconsole,
                                                gchar *arg1,
                                                gpointer user_data);

## Description

## Details

### struct GnomeDbSqlConsole

    struct GnomeDbSqlConsole;

### struct GnomeDbSqlConsoleClass

    struct GnomeDbSqlConsoleClass {

    	GtkTextViewClass       parent_class;

    	/* signals */
    	gchar                *(*sql_entered) (GnomeDbSqlConsole *console, const gchar *sql);
    };

### struct GnomeDbSqlConsolePriv

    struct GnomeDbSqlConsolePriv;

### gnome_db_sql_console_new ()

    GtkWidget*  gnome_db_sql_console_new        (GdaConnection *cnc,
                                                 const gchar *message);

Creates a new GnomeDbSqlConsole widget

`cnc` : | a GdaConnection connection, or `NULL`
`message` : |
Returns : | the new widget

### gnome_db_sql_console_clear ()

    void        gnome_db_sql_console_clear      (GnomeDbSqlConsole *console);

Clears the contents of the `console` widget

`console` : | a GnomeDbSqlConsole widget

### gnome_db_sql_console_clear_history ()

    void        gnome_db_sql_console_clear_history
                                                (GnomeDbSqlConsole *console);

Clears the queries history of the `console` widget

`console` : | a GnomeDbSqlConsole widget

## Properties

"`cnc`" (GdaConnection : Read / Write) |
"`message`" (gchararray : Write / Construct Only) |

## Signals

### The "sql-entered" signal

    gchar*      user_function                  (GnomeDbSqlConsole *dbsqlconsole,
                                                gchar *arg1,
                                                gpointer user_data);

`dbsqlconsole` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.
Returns : |